Subject: Re: [PATCH] clone: fix repo name when cloning a server's root

From: Junio C Hamano <[email-masked]>
Date: Mon, 27 Jul 2015 07:29:44 -0700

Duy Nguyen <[email-masked]> writes:

>> I was not able to come by with a useful test as that would
>> require being able to clone a root directory. I couldn't find
>> anything in the current tests that looks like what I want to do.
>> Does anybody have an idea on how to achieve this?
>
> There's t/t1509/prepare-chroot.sh that will prepare a chroot for this
> purpose. You'll need linux, busybox and chroot permission.

If you do not use ssh:// or file://, it should be trivial to
arrange, no?  http://site/repo will typically not be serving
/repo from the root of the filesystem.